﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_default_property
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The grades.
        private GradeCollection Grades = new GradeCollection();

        // Create some students.
        private void Form1_Load(object sender, EventArgs e)
        {
            Grades["Alice"] = 100;
            Grades["Ben"] = 90;
            Grades["Cindy"] = 80;
            Grades["Dan"] = 100;
            Grades["Emma"] = 90;
        }

        // Save or update a student's grade.
        private void btnSet_Click(object sender, EventArgs e)
        {
            try
            {
                Grades[txtStudent.Text] = int.Parse(txtGrade.Text);
                txtStudent.Clear();
                txtGrade.Clear();
                txtStudent.Focus();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        // Get a student's grade.
        private void btnGet_Click(object sender, EventArgs e)
        {
            try
            {
                txtGrade.Text = Grades[txtStudent.Text].ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        // List students with the entered score.
        private void btnList_Click(object sender, EventArgs e)
        {
            int score = int.Parse(txtGrade.Text);
            List<string> students = Grades[score];
            lstStudents.DataSource = students;
        }
    }
}
